%define		module_name	backports.ssl_match_hostname
Summary:	The ssl.match_hostname() function from Python 3
Summary(pl.UTF-8):	Funkcja ssl.match_hostname() z Pythona 3
Name:		python-backports-ssl_match_hostname
Version:	3.7.0.1
Release:	2
License:	PSF v2
Group:		Libraries/Python
# Source0Download: https://pypi.python.org/simple/backports.ssl-match-hostname/
Source0:	https://pypi.python.org/packages/source/b/backports.ssl_match_hostname/%{module_name}-%{version}.tar.gz
# Source0-md5:	32d2f593af01a046bec3d2f5181a420a
URL:		https://bitbucket.org/brandon/backports.ssl_match_hostname
BuildRequires:	python-modules >= 1:2.5
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python-backports
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Secure Sockets layer is only actually secure if you check the
hostname in the certificate returned by the server to which you are
connecting, and verify that it matches to hostname that you are trying
to reach.

But the matching logic, defined in RFC2818, can be a bit tricky to
implement on your own. So the ssl package in the Standard Library of
Python 3.2 now includes a match_hostname() function for performing
this check instead of requiring every application to implement the
check separately.

This backport brings match_hostname() to users of earlier versions of
Python. The actual code inside comes from Python 3.7 with small
changes for portability.

%description -l pl.UTF-8
Warstwa bezpiecznych gniazd (Secure Sockets Layer) jest naprawdę
bezpieczna tylko jeśli sprawdza się nazwę hosta w certyfikacie
zwracanym przez serwer, z którym się łączy i weryfikuje, że zgadza się
ona z pożądaną nazwą hosta.

Ale logika dopasowująca, zdefiniowana w RFC2818, może być nietrywialna
do zaimplementowania samemu. Dlatego też pakiet ssl biblioteki
standardowej Pythona 3.2 zawiera teraz funkcję match_hostname(), która
wykonuje to sprawdzenie zamiast wymagania implementacji w każdej
aplikacji.

Ten backport udostępnia match_hostname() użytkownikom wcześniejszych
wersji Pythona. Sam kod pochodzi z Pythona 3.7 z niewielkimi zmianami
pod kątem przenośności.

%prep
%setup -qn %{module_name}-%{version}

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT

%py_install

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.txt LICENSE.txt
%{py_sitescriptdir}/backports/__init__.py[co]
%{py_sitescriptdir}/backports/ssl_match_hostname
%{py_sitescriptdir}/backports.ssl_match_hostname-%{version}-py*.egg-info
%changelog
* Mon Mar 01 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-backports-ssl_match_hostname.git;a=log;h=master

* Mon Mar 01 2021 Jan Palus <atler@pld-linux.org> 7f81e33
- release 2 (by relup.sh)

* Wed Jan 01 2020 Jakub Bogusz <qboosh@pld-linux.org> 81a8ff0
- updated to 3.7.0.1

* Sun Mar 27 2016 Jakub Bogusz <qboosh@pld-linux.org> 82817d9
- pl

* Sun Mar 20 2016 Elan Ruusamäe <glen@delfi.ee> cf4c24a
- drop obsolete files

* Sun Mar 20 2016 Elan Ruusamäe <glen@delfi.ee> 3fc59a8
- up to 3.5.0.1

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 42975b7
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 6e5f035
- automatic change: use py_build/py_install macros

* Sat May 23 2015 Elan Ruusamäe <glen@delfi.ee> 42763b0
- new, version 3.4.0.2

